<id>
YaBB_2.5.2 Bug_Fix_0.1b
</id>

<version>
252_f0.1b
</version>

<mod info>
This mod fixes/corrects some reported language and css issues with the YaBB 2.5.2 release.

Version History
---------------
0.1 beta - First release - November 8, 2012

For YaBB 2.5.2

Instructions:

Apply the mod and upload (in ASCII mode):

cgi-bin/yabb2/Admin/ModList.pl
cgi-bin/yabb2/YaBB.pl
cgi-bin/yabb2/Languages/English/Admin.lng
cgi-bin/yabb2/Languages/English/ContextHelp.lng
cgi-bin/yabb2/Languages/Email.lng
cgi-bin/yabb2/Languages/English/Error.lng
cgi-bin/yabb2/Languages/English/Post.lng
cgi-bin/yabb2/Languages/English/RefControl.lng
cgi-bin/yabb2/Languages/English/Register.lng
cgi-bin/yabb2/Languages/English/Templates.lng
cgi-bin/yabb2/Sources/InstantMessage.pl
cgi-bin/yabb2/Sources/Post.pl
cgi-bin/yabb2/Sources/Register.pl
yabbfiles/Templates/Forum/default.css

</mod info>

<author>
YaBB Team and Carsten Dalgaard
</author>

<homepage>
http://www.yabbforum.com/
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$bugfix_01b = "BugFix_1|YaBB Team|This mod fixes/corrects some reported language, code, and css issues with the YaBB 2.5.2 release.|0.1 beta|11/08/12";
	push (@installed_mods, "$bugfix_01b");
</add before>

<edit file>
YaBB.pl
</edit file>

<search for>
$YaBBplver = 'YaBB 2.5.2 $Revision: 1.1 $';
</search for>

<replace>
$YaBBplver = 'YaBB 2.5.2 $Revision: 1.2 $';
</replace>

<search for>
            if ( ($iamadmin || $iamgmod ) && $sessionvalid == 0 ) {&UpdateCookie("delete"); require "$sourcedir/LogInOut.pl"; &InMaintenance; };
</search for>

<replace>
            if ( $staff && $sessionvalid == 0 ) {&UpdateCookie("delete"); require "$sourcedir/LogInOut.pl"; &InMaintenance; };
</replace>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
$adminlngver = 'YaBB 2.5.2 $Revision: 1.3 $';
</search for>

<replace>
$adminlngver = 'YaBB 2.5.2 $Revision: 1.4 $';
</replace>

<search for>
'explain' => 'This allows FA/GMod/Mod to post or modifying a locked thread without having to explicitly unlock/lock it',
</search for>

<replace>
'explain' => 'This allows a FA/GMod/Mod to post to or modify a locked thread without having to explicitly unlock/lock it',
</replace>

<edit file>
Languages/English/ContextHelp.lng
</edit file>

<search for>
$contexthelplngver = 'YaBB 2.5.2 $Revision: 1.0 $';
</search for>

<replace>
$contexthelplngver = 'YaBB 2.5.2 $Revision: 1.1 $';
</replace>

<search for>
'right' => "Right align text:<br /><br />Select the text:<br />[SELECT]This text<br />is right aligned[/SELECT]<br /><br />Click on the \"[TITLE]\" button: [BUTTON]<br /><br /><b>YaBBC Code:</b><br />[right]This text<br />is left aligned[/right]<br /><br /><b>Result:</b><br />[RIGHT]This text<br />is right aligned[/RIGHT]",
</search for>

<replace>
'right' => "Right align text:<br /><br />Select the text:<br />[SELECT]This text<br />is right aligned[/SELECT]<br /><br />Click on the \"[TITLE]\" button: [BUTTON]<br /><br /><b>YaBBC Code:</b><br />[right]This text<br />is right aligned[/right]<br /><br /><b>Result:</b><br />[RIGHT]This text<br />is right aligned[/RIGHT]",
</replace>

<edit file>
Languages/English/Email.lng
</edit file>

<search for>
$deletedusersybject = qq~You account deleted on~;
$deleteduseremail = qq~Hello, {yabb displayname}!

You account on {yabb mbname} is no longer active and deleted!
</search for>

<replace>
$deletedusersybject = qq~Your account deleted on~;
$deleteduseremail = qq~Hello, {yabb displayname}!

Your account on {yabb mbname} is no longer active and has been deleted!
</replace>

<edit file>
Languages/English/Error.lng
</edit file>

<search for>
$errorlngver = 'YaBB 2.5.2 $Revision: 1.3 $';
</search for>

<replace>
$errorlngver = 'YaBB 2.5.2 $Revision: 1.4 $';
</replace>

<search for>
'board_defined'          => "A board with this ID was already exists",
</search for>

<replace>
'board_defined'          => "A board with this ID already exists",
</replace>

<edit file>
Languages/English/Post.lng
</edit file>

<search for>
$postlngver = 'YaBB 2.5.2 $Revision: 1.0 $';
</search for>

<replace>
$postlngver = 'YaBB 2.5.2 $Revision: 1.1 $';
</replace>

<search for>
'draftleave' => 'Check this if you\'ll be to leave this message in Drafts folder after send',
</search for>

<replace>
'draftleave' => 'Check this if you are leaving this message in Drafts folder after sending',
</replace>

<search for>
'quote_confirm' => 'If you want to cite this contribution, and you click OK, then your records in the response textbox below will get lost. If you do not want this, then click Cancel, then copy your records before you click OK next time. Than you can insert your records again on the next page.',
</search for>

<replace>
'quote_confirm' => 'If you wish to cite this contribution, and you click OK, then your text in the response textbox below will get lost. If you do not want this, then click Cancel, then copy your response before you click OK next time. Then you can insert your text again on the next page.',
</replace>

<edit file>
Languages/English/RefControl.lng
</edit file>
 
<search for>
$refcontrollngver = 'YaBB 2.5.2 $Revision: 1.0 $';
</search for>

<replace>
$refcontrollngver = 'YaBB 2.5.2 $Revision: 1.1 $';
</replace>

<search for>
'multiremfav' => 'Remove User Favorites from his list',
</search for>

<replace>
'multiremfav' => 'Remove User Favorites from their list',
</replace>

<edit file>
Languages/English/Register.lng
</edit file>

<search for>
$registerlngver = 'YaBB 2.5.2 $Revision: 1.4 $';
</search for>

<replace>
$registerlngver = 'YaBB 2.5.2 $Revision: 1.5 $';
</replace>

<search for>
'766' => 'You can join to MemberGroup only in Registration.',
'767' => 'You can join to MemberGroup in Registration, or after registration on you edit Profile page.',
</search for>

<replace>
'766' => 'You can join a MemberGroup only during Registration.',
'767' => 'You can join a MemberGroup during Registration, or after registration on your edit Profile page.',
</replace>

<edit file>
Languages/English/Templates.lng
</edit file>

<search for>
$templateslngver = 'YaBB 2.5.2 $Revision: 1.0 $';
</search for>

<replace>
$templateslngver = 'YaBB 2.5.2 $Revision: 1.1 $';
</replace>

<search for>
'19' => 'Here you can change the font-, border- and background colors, and font face and size for the main elements of your forum.',
</search for>

<replace>
'19' => 'Here you can change the colors of the background, borders and text as well as the font face and text size for the main elements of your forum.',
</replace>


<edit file>
Sources/InstantMessage.pl
</edit file>

<search for>
$instantmessageplver = 'YaBB 2.5.2 $Revision: 1.1 $';
</search for>

<replace>
$instantmessageplver = 'YaBB 2.5.2 $Revision: 1.2 $';
</replace>

<search for>
					document.getElementById("saveframe").style.height = "auto";
</search for>

<replace>
					document.getElementById("saveframe").style.height = "0px"; 
</replace>

<search for>
			function calcCharLeft() {
</search for>

<add after>
			if (document.postmodify.message.value.length > 0) document.getElementById("saveframe").style.height = "auto"; 
</add after>

<edit file>
Sources/Post.pl
</edit file>

<search for>
$postplver = 'YaBB 2.5.2 $Revision: 1.1 $';
</search for>

<replace>
$postplver = 'YaBB 2.5.2 $Revision: 1.2 $';
</replace>

<search for>
		document.getElementById("saveframe").style.height = "auto";
</search for>

<replace>
		document.getElementById("saveframe").style.height = "0px"; 
</replace>

<search for>
function calcCharLeft() {
</search for>

<add after>
if (document.postmodify.message.value.length > 0) document.getElementById("saveframe").style.height = "auto"; 
</add after>

<edit file>
Sources/Register.pl
</edit file>

<search for>
		if ($gender_on_reg > 1 && document.creator.gender.value) {
</search for>

<replace>
		if ($gender_on_reg > 1 && !document.creator.gender.value) {
</replace>

<search for>
	      $regpass = encode_password($member{'passwrd1'});
</search for>

<replace>
	      $regpass = $member{'passwrd1'};
</replace>

<edit file>
..\..\public_html\yabbfiles\Templates\Forum\default.css
</edit file>

<search for>
.green {
display:none;
}
</search for>

<add after>
.u, .under {
text-decoration:underline;
}
</add after>

<search for>
#fscroller {
</search for>

<add before>
/* News fader fore- and background colors */
.newsfader {
	color: #304B58;
	background-color: #FEFEFE;
	font-size: 10px;
	font-weight: normal;
	font-style: normal;
	font-family: Verdana, Sans-Serif;
	text-decoration: none;
}
</add before>
